Bug 131776 - MAKEDEV assumes selinux enabled
MAKEDEV assumes selinux enabled
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: MAKEDEV (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
:
: 132103 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-04 07:29 EDT by Ralf Ertzinger
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.12-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-07 19:13:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2004-09-04 07:29:20 EDT
Description of problem:
MAKEDEV tries to apply a security context to files it creates.
This produces an error message at boottime (MAKEDEV called by
/sbin/start_udev) if selinux is disabled.


Version-Release number of selected component (if applicable):
MAKEDEV-3.11-1


How reproducible:
Always

Steps to Reproduce:
1. Install latest MAKEDEV
2. Disable SElinux (/etc/selinux/config)
3. Reboot
  
Actual results:
Error messages because security contexts can not be applied

Expected results:
No security contexts if selinux disabled

Additional info:
Comment 1 Stephen Tweedie 2004-09-07 06:08:31 EDT
Also seen here: rawhide-20040905 boot starts with

MAKEDEV: /dev/fd0: unable to reset file creation context
MAKEDEV: /dev/fd1: unable to reset file creation context
MAKEDEV: /dev/fd2: unable to reset file creation context
MAKEDEV: /dev/fd3: unable to reset file creation context
MAKEDEV: /dev/fd4: unable to reset file creation context
...
... continued for a couple of pages

on a system with SELinux disabled.  The error should be supressed if
SELinux is not active.
Comment 2 Bill Nottingham 2004-09-08 17:33:57 EDT
*** Bug 132103 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.